Skip to main content
GET
/
v1
/
imports
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/imports/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/imports/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "8a20a34f-b349-44cc-b445-6810a0c1f8f7",
  "object": "import",
  "import_type": "customers",
  "live_mode": false,
  "rows_imported": 0,
  "rows_uploaded": 0,
  "status": "pending",
  "created_at": 1782485836,
  "updated_at": 1782485836
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

import_type
string

The type of record imported – one of customer, product, coupon, purchase, or subscription.

import_rows
array

A list of associated import rows.

rows_imported
integer

The number of rows successfully imported.

status
string

The status of the import – one of completed, invalid, pending, or processing.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.